# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# C:\b\abs_e0oyrco237\clone\recipe, last modified Tue Jan 17 15:00:50 2023
# ------------------------------------------------

package:
  name: pytables
  version: 3.7.0
source:
  sha256: e92a887ad6f2a983e564a69902de4a7645c30069fc01abd353ec5da255c5e1fe
  url: https://pypi.io/packages/source/t/tables/tables-3.7.0.tar.gz
build:
  entry_points:
    - pt2to3 = tables.scripts.pt2to3:main
    - ptdump = tables.scripts.ptdump:main
    - ptrepack = tables.scripts.ptrepack:main
    - pttree = tables.scripts.pttree:main
  ignore_run_exports:
    - lzo
    - zlib
  number: '1'
  string: py37h388bc9b_1
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - blosc 1.21.0 h19a0ad4_1
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.10.11 haa95532_0
    - certifi 2022.12.7 py37haa95532_0
    - cython 0.29.32 py37hd77b12b_0
    - hdf5 1.10.6 h1756f20_1
    - icc_rt 2022.1.0 h6049295_2
    - intel-openmp 2021.4.0 haa95532_3556
    - lz4-c 1.9.4 h2bbff1b_0
    - lzo 2.10 he774522_2
    - mkl 2021.4.0 haa95532_640
    - mkl-service 2.4.0 py37h2bbff1b_0
    - mkl_fft 1.3.1 py37h277e83a_0
    - mkl_random 1.2.2 py37hf11a4ad_0
    - numexpr 2.8.4 py37h5b0cc5e_0
    - numpy 1.19.2 py37ha4e8547_1
    - numpy-base 1.19.2 py37h5bb6eb2_1
    - openssl 1.1.1s h2bbff1b_0
    - packaging 22.0 py37haa95532_0
    - pip 22.3.1 py37haa95532_0
    - python 3.7.15 h6244533_1
    - setuptools 65.6.3 py37haa95532_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.40.1 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.1 pyhd3eb1b0_0
    - wincertstore 0.2 py37haa95532_2
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.2 h19a0ad4_0
  run:
    - blosc >=1.21.0,<2.0a0
    - blosc >=1.4.1
    - bzip2 >=1.0.8,<2.0a0
    - hdf5 >=1.10.6,<1.10.7.0a0
    - hdf5 >=1.8.15
    - lzo
    - mock
    - numexpr >=2.6.2
    - numpy >=1.19.2,<2.0a0
    - packaging
    - python >=3.7,<3.8.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zlib
    - zstd
test:
  commands:
    - pip check
    - pt2to3 -h
    - ptdump -h
    - ptrepack -h
    - pttree -h
  requires:
    - mock
    - pip
    - setuptools
about:
  description: 'PyTables is a package for managing hierarchical datasets and designed
    to

    efficiently and easily cope with extremely large amounts of data. PyTables

    is built on top of the HDF5 library, using the Python language and the

    NumPy package.

    '
  dev_url: https://github.com/PyTables
  doc_url: https://www.pytables.org/
  home: https://www.pytables.org
  lcense_family: BSD
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: Brings together Python, HDF5 and NumPy to easily handle large amounts of
    data.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e09e73e9-60f0-470d-968e-e49dbf7b9131
  recipe-maintainers:
    - msarahan
    - ocefpaf
    - scopatz
    - tomkooij
  remote_url: git@github.com:AnacondaRecipes/pytables-feedstock.git
  sha: 6174bbe716f94d3d3569a9eb5c09d82afc881a4a
